#!/bin/sh

case $1 in
    consumer)
	echo "Installing consumer";
	( cd Consumer; ./install.sh )
	;;
    producer)
    	echo "Installing producer";
	( cd Producer; ./install.sh )
	;;
    SQLserver)
    	echo "Installing producer";
	( cd SQLserver; ./install.sh )
	;;
    *)
	echo "Usage: ./install.sh {producer|consumer|SQLserver}"
        exit 1;
	;;
esac

( cd lib; ./install.sh )
